-- --------------------
-- VERFEINERUNGSSCHRITT
-- --------------------

-- SDO_RELATE

-- Rechteckanfrage auf Tabelle "GeoDbLand":
SELECT name
FROM GeoDbLand
WHERE SDO_RELATE (geo, MDSYS.SDO_GEOMETRY(2003,null,null,
                    MDSYS.SDO_ELEM_INFO_ARRAY(1,1003,3),
                    MDSYS.SDO_ORDINATE_ARRAY(5,5, 15,15)),
                  'mask=ANYINTERACT, querytype=WINDOW') = 'TRUE';

-- SDO_WITHIN_DISTANCE

SELECT netz.name, SDO_GEOM.SDO_DISTANCE(netz.gebiet,gem.centrum,1e-5,'unit=km')
FROM Ortsnetze netz INNER JOIN Gemeinden gem
ON SDO_WITHIN_DISTANCE (netz.gebiet, gem.centrum,'distance=5 unit=km') = 'TRUE'
WHERE gem.name = 'Bad Zwischenahn';
